iPod Touch Redsn0w won't recognize IPSW file (iTouch 2G 2.2.1)

Discussion in 'Jailbreaks and iOS Hacks' started by Ornryactor, Aug 4, 2009.

  1. macrumors newbie

    Joined:
    Jul 20, 2008
    #1
    I'm trying to use redsn0w to jailbreak my 2G iPod Touch running 2.2.1, but I can't get it to work. I open redsn0w and point it to the IPSW file on my desktop. It says "processing firmware" for a few seconds, then says "unable to recognize specified IPSW".

    I have both 0.7.1 and 0.8 versions of redsn0w, and they give me identical results. I have downloaded the firmware file from six different sources (including an actual Apple server), and it is always titled iPod2,1_2.2.1_5H11a_Restore.

    What do I do? I've searched and searched, but can't find anyone having the same problem. My only guess is that something in the filename is messing up redsn0w's process and the file needs to be renamed. Thanks for your help, folks.
     
  2. thread starter macrumors newbie

    Joined:
    Jul 20, 2008
    #2
    Well, I never did get the 2.2.1 file to work in redsn0w, but I found an update trick online, and used it to upgrade to 3.0 for free:

    1) Download the proper 3.0 IPSW for your current firmware and 1G/2G
    2) Connect the iTouch/iPhone to iTunes 8.2 or greater
    3) Select the iPod in the left panel, click the 'Summary' tab
    4) Hold down Shift and click on the 'Update' button
    5) KEEP HOLDING DOWN Shift while you select the 3.0 IPSW file in the window that pops up
    6) iTunes will begin the upgrade process. Once it has started, then you can let go of Shift
    7) Sit back and let iTunes do its thing. When it's done, you'll have the 3.0 upgrade on your iPod, and you won't have paid a dime for it!

    Anyway, I'm running 3.0 now. I tried redsn0w with that firmware instead, and it accepted it just fine. I ran into the problem where it hangs on "waiting for reboot", but that's a different problem, so this thread is no longer valid. Just wanted to let future readers know what I did about it. Good luck!
     
  3. macrumors 65816

    Joined:
    Feb 4, 2009
    #3
    It didn't work with 2.2.1 because redsn0w was made for 3.0 firmware.
     
  4. macrumors 6502

    Austin2048

    Joined:
    Mar 16, 2009
    Location:
    Holmes, Pennsylvania
    #4
    use QuikFreedom to jailbreak 2.2.1, not redsn0w
     
  5. macrumors newbie

    Joined:
    Aug 9, 2009
    Location:
    Italy
    #5
    redsnow is made for the 3.0 firmware, you gotta use other programs like quickpawn, quickfreedom...
     
  6. macrumors newbie

    Joined:
    Aug 22, 2011
    #6
    How to Fix “Unable to recognize specified IPSW”


    I had the same problem "unable to recognize specified ipsw" , but thank God now it's solved. i searched for 4 days but thank god finally i have founded the correct solution. I can't post that solution here because of copying content is illegal act so i can give link. Click Here for solution for unable to recognize specified ipsw
     

Share This Page